Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.sgttrs

scipy.linalg.lapack.sgttrs(dl, d, du, du2, ipiv, b[, trans, overwrite_b]) = <fortran function sgttrs>

  Wrapper for `sgttrs`.

  Parameters:
    dl input rank-1 array(‘f’) with bounds (-1 + n)
    d input rank-1 array(‘f’) with bounds (n)
    du input rank-1 array(‘f’) with bounds (-1 + n)
    du2 input rank-1 array(‘f’) with bounds (-2 + n)
    ipiv input rank-1 array(‘i’) with bounds (n)
    b input rank-2 array(‘f’) with bounds (ldb,nrhs)
  Returns:
    x rank-2 array(‘f’) with bounds (ldb,nrhs) and b storage
    info int
  Other Parameters:
    trans input bytes, optional

      Default: ‘N’

    overwrite_b input int, optional

      Default: 0